Page MenuHomePhabricator

Upgrade lists-next to bullseye mailman versions
Closed, ResolvedPublic

Description

As part of T278905: Reconsider which mailman3 version we're running, I backported the mailman3 packages from bullseye to buster and we are ready to install them on lists-next. This will apply schema changes and needs DBA supervision/coordination, as previously discussed.

The specific change to be merged is https://gerrit.wikimedia.org/r/678134 and then follow https://wikitech.wikimedia.org/wiki/Mailman#Upgrading_Mailman3

DBA please let me know when you can supervise/watch over this, we're ready to go whenever.

Event Timeline

Marostegui added a subscriber: Marostegui.

@Legoktm we can do it on Monday if you like just ping on DBA whenever you want to start and we can coordinate.

I meant wikimedia-databases irc channel, not the tag :)

akosiaris triaged this task as Medium priority.Fri, Apr 23, 12:19 PM

Mentioned in SAL (#wikimedia-operations) [2021-04-27T04:25:51Z] <legoktm> upgrading lists-next.wikimedia.org to mailman3-from-bullseye (T280887)

Legoktm claimed this task.

Upgraded, thanks to @Marostegui for supervising!